/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreUniqueNamePrefix;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreUniqueNamePrefixRecord extends TableRecordImpl<VCoreUniqueNamePrefixRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_unique_name_prefix.prefix</code>.
     */
    public void setPrefix(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unique_name_prefix.prefix</code>.
     */
    public String getPrefix() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_unique_name_prefix.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unique_name_prefix.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_unique_name_prefix.short</code>.
     */
    public void setShort(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_unique_name_prefix.short</code>.
     */
    public String getShort() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreUniqueNamePrefixRecord
     */
    public VCoreUniqueNamePrefixRecord() {
        super(VCoreUniqueNamePrefix.V_CORE_UNIQUE_NAME_PREFIX);
    }

    /**
     * Create a detached, initialised VCoreUniqueNamePrefixRecord
     */
    public VCoreUniqueNamePrefixRecord(String prefix, Integer keyElement, String short_) {
        super(VCoreUniqueNamePrefix.V_CORE_UNIQUE_NAME_PREFIX);

        setPrefix(prefix);
        setKeyElement(keyElement);
        setShort(short_);
        resetChangedOnNotNull();
    }
}
